# Uses of Interface
javax.lang.model.type.NoType

Packages that use NoType
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of NoType in javax.lang.model.type

Methods in javax.lang.model.type with parameters of type NoType
Modifier and Type
Method
Description
`R`
TypeVisitor.`visitNoType(NoType t, P p)`
Visits a `NoType` instance.

## Uses of NoType in javax.lang.model.util

Methods in javax.lang.model.util that return NoType
Modifier and Type
Method
Description
`NoType`
Types.`getNoType(TypeKind kind)`
Returns a pseudo-type used where no actual type is appropriate.
Methods in javax.lang.model.util with parameters of type NoType
Modifier and Type
Method
Description
`R`
SimpleTypeVisitor6.`visitNoType(NoType t, P p)`
Visits a `NoType` instance.
`R`
TypeKindVisitor6.`visitNoType(NoType t, P p)`
Visits a `NoType` instance.
`R`
TypeKindVisitor6.`visitNoTypeAsModule(NoType t, P p)`
Visits a `MODULE` pseudo-type.
`R`
TypeKindVisitor9.`visitNoTypeAsModule(NoType t, P p)`
Visits a `MODULE` pseudo-type.
`R`
TypeKindVisitor6.`visitNoTypeAsNone(NoType t, P p)`
Visits a `NONE` pseudo-type.
`R`
TypeKindVisitor6.`visitNoTypeAsPackage(NoType t, P p)`
Visits a `PACKAGE` pseudo-type.
`R`
TypeKindVisitor6.`visitNoTypeAsVoid(NoType t, P p)`
Visits a `VOID` pseudo-type.